=== include/CMakeLists.txt ===
add_subdirectory(QtZeitgeist)
