=== debian/changelog ===
qtzeitgeist (0.7.0-1build1) oneiric; urgency=low

  * No-change rebuild to pick up new Qt library path.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 25 Aug 2011 20:02:29 +0200

qtzeitgeist (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #626848)

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 15 May 2011 16:47:29 -0300
