=== debian/control ===
Source: qtzeitgeist
Priority: extra
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), cmake, libqt4-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://zeitgeist-project.com/
Vcs-Git: git://git.debian.org/pkg-kde/krap/qtzeitgeist.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/qtzeitgeist.git;a=summary

Package: libqzeitgeist0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: wrapper library around the Zeitgeist DBus API for Qt
 Zeitgeist is a service which logs the user's activities and notifications,
 anywhere from files opened to websites visited and conversations, and makes
 this information readily available for other applications to use. It is also
 able to establish relationships between items based on similarity and usage 
 patterns.
 .
 libQZeitgeist is a wrapper library around the Zeitgeist DBus API for Qt.

Package: libqzeitgeist-dbg
Section: debug
Architecture: any
Depends: libqzeitgeist0 (= ${binary:Version}), ${misc:Depends}
Recommends: libqt4-dbg
Description: debugging symbols for libqzeitgeist
 Zeitgeist is a service which logs the user's activities and notifications,
 anywhere from files opened to websites visited and conversations, and makes
 this information readily available for other applications to use. It is also
 able to establish relationships between items based on similarity and usage 
 patterns.
 .
 This package provides the debugging symbols for libqtzeitgeist.


Package: libqzeitgeist-dev
Section: libdevel
Architecture: any
Depends: libqzeitgeist0 (= ${binary:Version}), ${misc:Depends}
Description: development files for libqzeitgeist
 Zeitgeist is a service which logs the user's activities and notifications,
 anywhere from files opened to websites visited and conversations, and makes
 this information readily available for other applications to use. It is also
 able to establish relationships between items based on similarity and usage 
 patterns.
 .
 This package provides the development files for libqtzeitgeist.
