=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://releases.zeitgeist-project.com/qzeitgeist/ QtZeitgeist-(.*)\.tar\.bz2
